/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("react"),x=require("@progress/kendo-react-form"),g=require("@progress/kendo-react-layout"),n=require("../../utils.js"),c=require("../FormFieldSet.js"),f=require("@progress/kendo-react-intl"),a=require("../../messages.js"),u=require("@progress/kendo-react-dropdowns"),A=require("../SeriesGrid.js"),y=require("@progress/kendo-react-animation"),E=r=>{const i=f.useLocalization(),t=r.state,s=t.seriesType,[l,d]=e.useState(!0),m=e.useCallback(o=>{d(!o.expanded)},[]),C=e.useCallback(o=>{r.onStateChange(n.updateState(t,n.ActionTypes.categoryAxisX,o.target.value))},[t]),S=e.useCallback(o=>{r.onStateChange(n.updateState(t,n.ActionTypes.seriesChange,o))},[t]),p=e.useCallback(o=>{r.onStateChange(n.updateState(t,n.ActionTypes.valueAxisY,o.target.value))},[t]);return e.createElement(g.ExpansionPanel,{style:{maxWidth:"576px"},title:i.toLanguageString(a.configuration,a.messages.configuration),expanded:l,tabIndex:0,onAction:m},e.createElement(y.Reveal,null,l&&e.createElement(g.ExpansionPanelContent,null,e.createElement(x.FormElement,{onKeyDown:n.stopPropagation},e.createElement(c.FormFieldSet,{legend:s==="scatter"?i.toLanguageString(a.configurationXAxis,a.messages.configurationXAxis):i.toLanguageString(a.configurationCategoryAxis,a.messages.configurationCategoryAxis)},e.createElement(u.DropDownList,{data:t.columns||[],value:t.categoryField,onChange:C,...n.dropdownlistCommonProps})),n.isCategorical(s)&&e.createElement(c.FormFieldSet,{legend:i.toLanguageString(a.configurationSeries,a.messages.configurationSeries)},e.createElement(A.SeriesGrid,{data:t.series,initialData:t.initialSeries,onChange:S})),s==="pie"&&e.createElement(c.FormFieldSet,{legend:i.toLanguageString(a.configurationValueAxis,a.messages.configurationValueAxis)},e.createElement(u.DropDownList,{data:t.columns||[],value:t.valueField||"",...n.dropdownlistCommonProps,onChange:p}))))))};exports.ConfigurationPanel=E;
